<?php


namespace App\Export;

use App\Services\SysLogService;
use Maatwebsite\Excel\Facades\Excel;
use Maatwebsite\Excel\Excel as BaseExcel;

/**
 * 导出基础类
 */
class BaseExport
{
    protected $expand = '';

    public function __construct()
    {
        $this->setFileExpand(BaseExcel::XLSX);
    }

    public function setFileExpand($name)
    {
        $this->expand = $name;
    }

    public function storeExcel($excelContent, $filePath, $diskType = null){
        if($diskType == null){
            $diskType = config('filesystem.default');
        }
        $result = Excel::store($excelContent,$filePath,$diskType, $this->expand);
        $logContent = [
            'filePath' => $filePath,
            'diskType' => $diskType,
            'datetime' => time()
        ];
        app(SysLogService::class)->addOperationLogs($logContent);
    }
}
